Optimize an image
POST /v1/process/optimize
POST
/v1/process/optimize
Reduce file size through color quantization while maintaining visual quality. You can optionally set the maximum number of colors and a minimum quality floor (PSNR).
This is a free operation — no credits charged.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
colors
Maximum number of colors for quantization.
null | integer
input_image_url
required
HTTPS URL of the image to optimize.
string
min_psnr
Minimum peak signal-to-noise ratio for quality floor.
null | number
Responses
Section titled “ Responses ”OK
object
content_type
MIME type of the output image.
string
expires_at
ISO 8601 expiry time of the signed URL.
string
image_url
Signed URL of the processed image. Expires in 1 hour.
string
operation
Processing operation performed.
string
Bad Request
object
details
error
string
message
string
request_id
string
Unauthorized
object
details
error
string
message
string
request_id
string
Payment Required
object
details
error
string
message
string
request_id
string
Forbidden
object
details
error
string
message
string
request_id
string
Not Found
object
details
error
string
message
string
request_id
string
Conflict
object
details
error
string
message
string
request_id
string
Unprocessable Entity
object
details
error
string
message
string
request_id
string
Too Many Requests
object
details
error
string
message
string
request_id
string
Unavailable For Legal Reasons
object
details
error
string
message
string
request_id
string
Internal Server Error
object
details
error
string
message
string
request_id
string
Bad Gateway
object
details
error
string
message
string
request_id
string
Service Unavailable
object
details
error
string
message
string
request_id
string